
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>StrategyGUI.strategy_app module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Voyager package" href="Voyager.html" />
    <link rel="prev" title="StrategyGUI package" href="StrategyGUI.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Voyager.html" title="Voyager package"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="StrategyGUI.html" title="StrategyGUI package"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="StrategyGUI.html" accesskey="U">StrategyGUI package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="StrategyGUI.html"
                        title="previous chapter">StrategyGUI package</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="Voyager.html"
                        title="next chapter">Voyager package</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/StrategyGUI.strategy_app.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-StrategyGUI.strategy_app">
<span id="strategygui-strategy-app-module"></span><h1>StrategyGUI.strategy_app module<a class="headerlink" href="#module-StrategyGUI.strategy_app" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="StrategyGUI.strategy_app.ActionDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">ActionDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ActionDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ActionDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.ActionDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ActionDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ActionDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.ActionDialog.get_phil_text_from_tree_model">
<code class="descname">get_phil_text_from_tree_model</code><span class="sig-paren">(</span><em>base='voyager'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ActionDialog.get_phil_text_from_tree_model"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ActionDialog.get_phil_text_from_tree_model" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.ActionDialog.get_phil_text_from_tree_model_top">
<code class="descname">get_phil_text_from_tree_model_top</code><span class="sig-paren">(</span><em>top</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ActionDialog.get_phil_text_from_tree_model_top"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ActionDialog.get_phil_text_from_tree_model_top" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.ActionDialog.get_text_tree_from_dictionary">
<code class="descname">get_text_tree_from_dictionary</code><span class="sig-paren">(</span><em>dictio</em>, <em>spaces</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ActionDialog.get_text_tree_from_dictionary"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ActionDialog.get_text_tree_from_dictionary" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.ActionDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.ActionDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeConditionalDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeConditionalDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeConditionalDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeConditionalDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeConditionalDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeConditionalDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeConditionalDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeConditionalDialog.populate_action_list">
<code class="descname">populate_action_list</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeConditionalDialog.populate_action_list"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeConditionalDialog.populate_action_list" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeConditionalDialog.populate_default_list_false">
<code class="descname">populate_default_list_false</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeConditionalDialog.populate_default_list_false"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeConditionalDialog.populate_default_list_false" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeConditionalDialog.populate_default_list_true">
<code class="descname">populate_default_list_true</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeConditionalDialog.populate_default_list_true"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeConditionalDialog.populate_default_list_true" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeConditionalDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeConditionalDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeDialog.populate_action_list">
<code class="descname">populate_action_list</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeDialog.populate_action_list"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeDialog.populate_action_list" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeDialog.populate_default_list">
<code class="descname">populate_default_list</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeDialog.populate_default_list"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeDialog.populate_default_list" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeEndDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeEndDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeEndDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeEndDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeEndDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeEndDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeEndDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeEndDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeEndDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeEndWhileDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeEndWhileDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeEndWhileDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeEndWhileDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeEndWhileDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeEndWhileDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeEndWhileDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeEndWhileDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeEndWhileDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeJoin">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeJoin</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeJoin"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeJoin" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeJoin.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeJoin.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeJoin.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeJoin.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeJoin.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeLoop">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeLoop</code><span class="sig-paren">(</span><em>strategy_app</em>, <em>parallel=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeLoop"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeLoop" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeLoop.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeLoop.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeLoop.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeLoop.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeLoop.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeParallelDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeParallelDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeParallelDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeParallelDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeParallelDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeParallelDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeParallelDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeParallelDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeParallelDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeSelectorDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeSelectorDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeSelectorDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeSelectorDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeSelectorDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeSelectorDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeSelectorDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeSelectorDialog.generate_selection_string">
<code class="descname">generate_selection_string</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeSelectorDialog.generate_selection_string"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeSelectorDialog.generate_selection_string" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeSelectorDialog.populate_action_list">
<code class="descname">populate_action_list</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeSelectorDialog.populate_action_list"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeSelectorDialog.populate_action_list" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeSelectorDialog.populate_default_list_true">
<code class="descname">populate_default_list_true</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeSelectorDialog.populate_default_list_true"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeSelectorDialog.populate_default_list_true" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeSelectorDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeSelectorDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.AddNodeStartWhileDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">AddNodeStartWhileDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeStartWhileDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeStartWhileDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeStartWhileDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeStartWhileDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeStartWhileDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeStartWhileDialog.populate_action_list">
<code class="descname">populate_action_list</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeStartWhileDialog.populate_action_list"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeStartWhileDialog.populate_action_list" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeStartWhileDialog.populate_default_list_false">
<code class="descname">populate_default_list_false</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeStartWhileDialog.populate_default_list_false"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeStartWhileDialog.populate_default_list_false" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.AddNodeStartWhileDialog.populate_default_list_true">
<code class="descname">populate_default_list_true</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#AddNodeStartWhileDialog.populate_default_list_true"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeStartWhileDialog.populate_default_list_true" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.AddNodeStartWhileDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.AddNodeStartWhileDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.ConditioWidget">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">ConditioWidget</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ConditioWidget"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ConditioWidget" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QWidget</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.ConditioWidget.add_condition_line">
<code class="descname">add_condition_line</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ConditioWidget.add_condition_line"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ConditioWidget.add_condition_line" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.ConditioWidget.generate_condition_string">
<code class="descname">generate_condition_string</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ConditioWidget.generate_condition_string"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ConditioWidget.generate_condition_string" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.ConditioWidget.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.ConditioWidget.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.ConditionLine">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">ConditionLine</code><span class="sig-paren">(</span><em>conditiowidget</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ConditionLine"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ConditionLine" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QWidget</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.ConditionLine.eventually_add_new_line">
<code class="descname">eventually_add_new_line</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ConditionLine.eventually_add_new_line"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ConditionLine.eventually_add_new_line" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.ConditionLine.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.ConditionLine.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.RemoveNodeDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">RemoveNodeDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#RemoveNodeDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.RemoveNodeDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.RemoveNodeDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#RemoveNodeDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.RemoveNodeDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.RemoveNodeDialog.populate_attach_to_list">
<code class="descname">populate_attach_to_list</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#RemoveNodeDialog.populate_attach_to_list"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.RemoveNodeDialog.populate_attach_to_list" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.RemoveNodeDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.RemoveNodeDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.RenameNodeDialog">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">RenameNodeDialog</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#RenameNodeDialog"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.RenameNodeDialog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.RenameNodeDialog.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#RenameNodeDialog.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.RenameNodeDialog.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.RenameNodeDialog.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.RenameNodeDialog.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.ShowInfoActions">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">ShowInfoActions</code><span class="sig-paren">(</span><em>strategy_app</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ShowInfoActions"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ShowInfoActions" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtWidgets.QDialog</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.ShowInfoActions.done">
<code class="descname">done</code><span class="sig-paren">(</span><em>self</em>, <em>arg__1: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ShowInfoActions.done"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ShowInfoActions.done" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.ShowInfoActions.show_help_action">
<code class="descname">show_help_action</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#ShowInfoActions.show_help_action"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.ShowInfoActions.show_help_action" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.ShowInfoActions.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.ShowInfoActions.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.StrategyGUI">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">StrategyGUI</code><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_action_node_in_graph">
<code class="descname">add_action_node_in_graph</code><span class="sig-paren">(</span><em>parent</em>, <em>action</em>, <em>defaults</em>, <em>linktext=''</em>, <em>colornode=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_action_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_action_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_condional_node">
<code class="descname">add_condional_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_condional_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_condional_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_conditional_node_in_graph">
<code class="descname">add_conditional_node_in_graph</code><span class="sig-paren">(</span><em>parent</em>, <em>condition</em>, <em>curr_action_true</em>, <em>defaults_true</em>, <em>curr_action_false</em>, <em>defaults_false</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_conditional_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_conditional_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_end_node">
<code class="descname">add_end_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_end_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_end_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_end_node_in_graph">
<code class="descname">add_end_node_in_graph</code><span class="sig-paren">(</span><em>parent</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_end_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_end_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_end_strategy_node_in_graph">
<code class="descname">add_end_strategy_node_in_graph</code><span class="sig-paren">(</span><em>label</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_end_strategy_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_end_strategy_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_endwhile_node">
<code class="descname">add_endwhile_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_endwhile_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_endwhile_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_endwhile_node_in_graph">
<code class="descname">add_endwhile_node_in_graph</code><span class="sig-paren">(</span><em>lastaction</em>, <em>startwhile</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_endwhile_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_endwhile_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_join_node">
<code class="descname">add_join_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_join_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_join_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_join_node_in_graph">
<code class="descname">add_join_node_in_graph</code><span class="sig-paren">(</span><em>nodeso</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_join_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_join_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_loop_in_parallel_node_in_graph">
<code class="descname">add_loop_in_parallel_node_in_graph</code><span class="sig-paren">(</span><em>parent</em>, <em>mtype</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_loop_in_parallel_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_loop_in_parallel_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_loop_in_sequence_node_in_graph">
<code class="descname">add_loop_in_sequence_node_in_graph</code><span class="sig-paren">(</span><em>parent</em>, <em>mtype</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_loop_in_sequence_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_loop_in_sequence_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_loop_parallel_node">
<code class="descname">add_loop_parallel_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_loop_parallel_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_loop_parallel_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_loop_sequential_node">
<code class="descname">add_loop_sequential_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_loop_sequential_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_loop_sequential_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_node">
<code class="descname">add_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_parallel_node">
<code class="descname">add_parallel_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_parallel_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_parallel_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_parallel_node_in_graph">
<code class="descname">add_parallel_node_in_graph</code><span class="sig-paren">(</span><em>parent</em>, <em>number</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_parallel_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_parallel_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_selector_node">
<code class="descname">add_selector_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_selector_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_selector_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_selector_node_in_graph">
<code class="descname">add_selector_node_in_graph</code><span class="sig-paren">(</span><em>parent</em>, <em>selection</em>, <em>curr_action</em>, <em>defaults</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_selector_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_selector_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_startwhile_node">
<code class="descname">add_startwhile_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_startwhile_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_startwhile_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.add_startwhile_node_in_graph">
<code class="descname">add_startwhile_node_in_graph</code><span class="sig-paren">(</span><em>parent</em>, <em>condition</em>, <em>curr_action_true</em>, <em>defaults_true</em>, <em>curr_action_false</em>, <em>defaults_false</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.add_startwhile_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.add_startwhile_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.change_font_size">
<code class="descname">change_font_size</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.change_font_size"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.change_font_size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.clear_graph">
<code class="descname">clear_graph</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.clear_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.clear_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.create_new_action">
<code class="descname">create_new_action</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.create_new_action"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.create_new_action" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.display_info_available_actions">
<code class="descname">display_info_available_actions</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.display_info_available_actions"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.display_info_available_actions" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.draw_tree">
<code class="descname">draw_tree</code><span class="sig-paren">(</span><em>G=None</em>, <em>use_socket=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.draw_tree"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.draw_tree" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.generate_strategy">
<code class="descname">generate_strategy</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.generate_strategy"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.generate_strategy" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.hierarchy_pos">
<code class="descname">hierarchy_pos</code><span class="sig-paren">(</span><em>G</em>, <em>root=None</em>, <em>width=1.0</em>, <em>vert_gap=0.2</em>, <em>vert_loc=0</em>, <em>xcenter=0.5</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.hierarchy_pos"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.hierarchy_pos" title="Permalink to this definition">¶</a></dt>
<dd><p>From Joel’s answer at <a class="reference external" href="https://stackoverflow.com/a/29597209/2966723">https://stackoverflow.com/a/29597209/2966723</a>.
Licensed under Creative Commons Attribution-Share Alike</p>
<p>If the graph is a tree this will return the positions to plot this in a
hierarchical layout.</p>
<p>G: the graph (must be a tree)</p>
<p>root: the root node of current branch
- if the tree is directed and this is not given,</p>
<blockquote>
<div>the root will be found and used</div></blockquote>
<ul class="simple">
<li>if the tree is directed and this is given, then
the positions will be just for the descendants of this node.</li>
<li>if the tree is undirected and not given,
then a random choice will be used.</li>
</ul>
<p>width: horizontal space allocated for this branch - avoids overlap with other branches</p>
<p>vert_gap: gap between levels of hierarchy</p>
<p>vert_loc: vertical location of root</p>
<p>xcenter: horizontal location of root</p>
</dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.implemented_browser_resizeEvent">
<code class="descname">implemented_browser_resizeEvent</code><span class="sig-paren">(</span><em>event</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.implemented_browser_resizeEvent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.implemented_browser_resizeEvent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.load_strategy">
<code class="descname">load_strategy</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.load_strategy"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.load_strategy" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.new_graph">
<code class="descname">new_graph</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.new_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.new_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.on_connect_websocket_client">
<code class="descname">on_connect_websocket_client</code><span class="sig-paren">(</span><em>client</em>, <em>server</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.on_connect_websocket_client"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.on_connect_websocket_client" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
<li><strong>client</strong> – </li>
<li><strong>server</strong> – </li>
</ul>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.on_websocket_client_message">
<code class="descname">on_websocket_client_message</code><span class="sig-paren">(</span><em>client</em>, <em>server</em>, <em>message</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.on_websocket_client_message"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.on_websocket_client_message" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
<li><strong>client</strong> – </li>
<li><strong>server</strong> – </li>
<li><strong>message</strong> – </li>
</ul>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.redraw_browser">
<code class="descname">redraw_browser</code><span class="sig-paren">(</span><em>G=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.redraw_browser"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.redraw_browser" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.remove_node">
<code class="descname">remove_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.remove_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.remove_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.remove_node_and_attach">
<code class="descname">remove_node_and_attach</code><span class="sig-paren">(</span><em>index1</em>, <em>index2</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.remove_node_and_attach"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.remove_node_and_attach" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.remove_node_and_drop_off">
<code class="descname">remove_node_and_drop_off</code><span class="sig-paren">(</span><em>index</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.remove_node_and_drop_off"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.remove_node_and_drop_off" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.rename_node">
<code class="descname">rename_node</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.rename_node"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.rename_node" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.rename_node_in_graph">
<code class="descname">rename_node_in_graph</code><span class="sig-paren">(</span><em>node</em>, <em>newname</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.rename_node_in_graph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.rename_node_in_graph" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.save_strategy">
<code class="descname">save_strategy</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.save_strategy"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.save_strategy" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.show_about">
<code class="descname">show_about</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.show_about"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.show_about" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.show_graph_matplotlib">
<code class="descname">show_graph_matplotlib</code><span class="sig-paren">(</span><em>G</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.show_graph_matplotlib"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.show_graph_matplotlib" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.show_graph_matplotlib_tree">
<code class="descname">show_graph_matplotlib_tree</code><span class="sig-paren">(</span><em>G</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.show_graph_matplotlib_tree"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.show_graph_matplotlib_tree" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.start_websocket">
<code class="descname">start_websocket</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.start_websocket"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.start_websocket" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.StrategyGUI.update">
<code class="descname">update</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#StrategyGUI.update"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.StrategyGUI.update" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.TreeItem">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">TreeItem</code><span class="sig-paren">(</span><em>data</em>, <em>parent=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.child">
<code class="descname">child</code><span class="sig-paren">(</span><em>row</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.child"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.child" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.childCount">
<code class="descname">childCount</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.childCount"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.childCount" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.childNumber">
<code class="descname">childNumber</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.childNumber"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.childNumber" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.columnCount">
<code class="descname">columnCount</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.columnCount"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.columnCount" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.data">
<code class="descname">data</code><span class="sig-paren">(</span><em>column</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.insertChildren">
<code class="descname">insertChildren</code><span class="sig-paren">(</span><em>position</em>, <em>count</em>, <em>columns</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.insertChildren"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.insertChildren" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.insertColumns">
<code class="descname">insertColumns</code><span class="sig-paren">(</span><em>position</em>, <em>columns</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.insertColumns"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.insertColumns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.isChecked">
<code class="descname">isChecked</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.isChecked"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.isChecked" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.parent">
<code class="descname">parent</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.parent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.parent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.removeChildren">
<code class="descname">removeChildren</code><span class="sig-paren">(</span><em>position</em>, <em>count</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.removeChildren"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.removeChildren" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.removeColumns">
<code class="descname">removeColumns</code><span class="sig-paren">(</span><em>position</em>, <em>columns</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.removeColumns"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.removeColumns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.setChecked">
<code class="descname">setChecked</code><span class="sig-paren">(</span><em>state</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.setChecked"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.setChecked" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeItem.setData">
<code class="descname">setData</code><span class="sig-paren">(</span><em>column</em>, <em>value</em>, <em>role</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeItem.setData"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeItem.setData" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="StrategyGUI.strategy_app.TreeModel">
<em class="property">class </em><code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">TreeModel</code><span class="sig-paren">(</span><em>headers</em>, <em>data</em>, <em>parent=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PySide2.QtCore.QAbstractItemModel</span></code></p>
<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.childrens">
<code class="descname">childrens</code><span class="sig-paren">(</span><em>item</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.childrens"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.childrens" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.columnCount">
<code class="descname">columnCount</code><span class="sig-paren">(</span><em>self</em>, <em>parent: PySide2.QtCore.QModelIndex=Invalid(PySide2.QtCore.QModelIndex)</em><span class="sig-paren">)</span> &#x2192; int<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.columnCount"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.columnCount" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.data">
<code class="descname">data</code><span class="sig-paren">(</span><em>self</em>, <em>index: PySide2.QtCore.QModelIndex</em>, <em>role: int=PySide2.QtCore.Qt.ItemDataRole.DisplayRole</em><span class="sig-paren">)</span> &#x2192; typing.Any<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.data_is_changed">
<code class="descname">data_is_changed</code><span class="sig-paren">(</span><em>topleft</em>, <em>bottomright</em>, <em>roles</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.data_is_changed"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.data_is_changed" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.flags">
<code class="descname">flags</code><span class="sig-paren">(</span><em>self</em>, <em>index: PySide2.QtCore.QModelIndex</em><span class="sig-paren">)</span> &#x2192; PySide2.QtCore.Qt.ItemFlags<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.flags"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.flags" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.getItem">
<code class="descname">getItem</code><span class="sig-paren">(</span><em>index</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.getItem"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.getItem" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.headerData">
<code class="descname">headerData</code><span class="sig-paren">(</span><em>self</em>, <em>section: int</em>, <em>orientation: PySide2.QtCore.Qt.Orientation</em>, <em>role: int=PySide2.QtCore.Qt.ItemDataRole.DisplayRole</em><span class="sig-paren">)</span> &#x2192; typing.Any<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.headerData"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.headerData" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.index">
<code class="descname">index</code><span class="sig-paren">(</span><em>self</em>, <em>row: int</em>, <em>column: int</em>, <em>parent: PySide2.QtCore.QModelIndex=Invalid(PySide2.QtCore.QModelIndex)</em><span class="sig-paren">)</span> &#x2192; PySide2.QtCore.QModelIndex<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.index"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.index" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.insertColumns">
<code class="descname">insertColumns</code><span class="sig-paren">(</span><em>self</em>, <em>column: int</em>, <em>count: int</em>, <em>parent: PySide2.QtCore.QModelIndex=Invalid(PySide2.QtCore.QModelIndex)</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.insertColumns"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.insertColumns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.insertItem">
<code class="descname">insertItem</code><span class="sig-paren">(</span><em>item</em>, <em>insert_at=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.insertItem"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.insertItem" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.insertRows">
<code class="descname">insertRows</code><span class="sig-paren">(</span><em>self</em>, <em>row: int</em>, <em>count: int</em>, <em>parent: PySide2.QtCore.QModelIndex=Invalid(PySide2.QtCore.QModelIndex)</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.insertRows"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.insertRows" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.parent">
<code class="descname">parent</code><span class="sig-paren">(</span><em>self</em><span class="sig-paren">)</span> &#x2192; PySide2.QtCore.QObject<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.parent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.parent" title="Permalink to this definition">¶</a></dt>
<dd><p>parent(self, child: PySide2.QtCore.QModelIndex) -&gt; PySide2.QtCore.QModelIndex</p>
</dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.removeColumns">
<code class="descname">removeColumns</code><span class="sig-paren">(</span><em>self</em>, <em>column: int</em>, <em>count: int</em>, <em>parent: PySide2.QtCore.QModelIndex=Invalid(PySide2.QtCore.QModelIndex)</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.removeColumns"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.removeColumns" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.removeRows">
<code class="descname">removeRows</code><span class="sig-paren">(</span><em>self</em>, <em>row: int</em>, <em>count: int</em>, <em>parent: PySide2.QtCore.QModelIndex=Invalid(PySide2.QtCore.QModelIndex)</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.removeRows"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.removeRows" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.rowCount">
<code class="descname">rowCount</code><span class="sig-paren">(</span><em>self</em>, <em>parent: PySide2.QtCore.QModelIndex=Invalid(PySide2.QtCore.QModelIndex)</em><span class="sig-paren">)</span> &#x2192; int<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.rowCount"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.rowCount" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.setData">
<code class="descname">setData</code><span class="sig-paren">(</span><em>self</em>, <em>index: PySide2.QtCore.QModelIndex</em>, <em>value: typing.Any</em>, <em>role: int=PySide2.QtCore.Qt.ItemDataRole.EditRole</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.setData"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.setData" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.setHeaderData">
<code class="descname">setHeaderData</code><span class="sig-paren">(</span><em>self</em>, <em>section: int</em>, <em>orientation: PySide2.QtCore.Qt.Orientation</em>, <em>value: typing.Any</em>, <em>role: int=PySide2.QtCore.Qt.ItemDataRole.EditRole</em><span class="sig-paren">)</span> &#x2192; bool<a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.setHeaderData"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.setHeaderData" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="StrategyGUI.strategy_app.TreeModel.setupModelData">
<code class="descname">setupModelData</code><span class="sig-paren">(</span><em>lines</em>, <em>parent</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#TreeModel.setupModelData"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.setupModelData" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="StrategyGUI.strategy_app.TreeModel.staticMetaObject">
<code class="descname">staticMetaObject</code><em class="property"> = &lt;PySide2.QtCore.QMetaObject object&gt;</em><a class="headerlink" href="#StrategyGUI.strategy_app.TreeModel.staticMetaObject" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="function">
<dt id="StrategyGUI.strategy_app.string_is_numeric">
<code class="descclassname">StrategyGUI.strategy_app.</code><code class="descname">string_is_numeric</code><span class="sig-paren">(</span><em>input</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/StrategyGUI/strategy_app.html#string_is_numeric"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#StrategyGUI.strategy_app.string_is_numeric" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="Voyager.html" title="Voyager package"
             >next</a> |</li>
        <li class="right" >
          <a href="StrategyGUI.html" title="StrategyGUI package"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="StrategyGUI.html" >StrategyGUI package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>